/*
Navicat MySQL Data Transfer

Source Server         : localhost_3306
Source Server Version : 50717
Source Host           : localhost:3306
Source Database       : 174power

Target Server Type    : MYSQL
Target Server Version : 50717
File Encoding         : 65001

Date: 2020-03-26 10:04:49
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `power_dept`
-- ----------------------------
DROP TABLE IF EXISTS `power_dept`;
CREATE TABLE `power_dept` (
  `dept_id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `dict_id` int(11) DEFAULT NULL,
  `effective` int(11) DEFAULT NULL,
  `create_date` char(32) CHARACTER SET latin1 DEFAULT NULL,
  `creater` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `update_date` char(32) CHARACTER SET latin1 DEFAULT NULL,
  `updater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `dept_code` varchar(32) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`dept_id`,`updater`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_dept
-- ----------------------------
INSERT INTO `power_dept` VALUES ('1', '管理部门', '1', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '', '');

-- ----------------------------
-- Table structure for `power_log`
-- ----------------------------
DROP TABLE IF EXISTS `power_log`;
CREATE TABLE `power_log` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '日志ID',
  `log_title` varchar(100) NOT NULL COMMENT '日志主题',
  `ip` char(15) DEFAULT NULL,
  `log_content` varchar(1000) NOT NULL COMMENT '日志内容',
  `sys_flag` varchar(32) DEFAULT NULL,
  `sys_id` int(11) DEFAULT NULL,
  `create_date` char(16) NOT NULL COMMENT '创建时间',
  `creater` varchar(32) NOT NULL COMMENT '创建人',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of power_log
-- ----------------------------
INSERT INTO `power_log` VALUES ('1', '登录', '192.168.0.101', '用户登录成功', 'power', null, '2020-03-19 11:28', 'admin', null);
INSERT INTO `power_log` VALUES ('2', '查看', '192.168.0.101', '用户管理页面', 'power', null, '2020-03-19 11:28', 'admin', null);
INSERT INTO `power_log` VALUES ('3', '查看', '192.168.0.101', '角色管理页面', 'power', null, '2020-03-19 11:28', 'admin', null);
INSERT INTO `power_log` VALUES ('4', '查看', '192.168.0.101', '角色分配菜单页面', 'power', null, '2020-03-19 11:28', 'admin', null);
INSERT INTO `power_log` VALUES ('5', '查看', '192.168.0.101', '用户分配菜单页面', 'power', null, '2020-03-19 11:28', 'admin', null);
INSERT INTO `power_log` VALUES ('6', '查看', '192.168.0.101', '角色分配菜单页面', 'power', null, '2020-03-19 11:28', 'admin', null);
INSERT INTO `power_log` VALUES ('7', '修改分配', '192.168.0.101', '角色分配菜单', 'power', null, '2020-03-19 11:29', 'admin', '医生');
INSERT INTO `power_log` VALUES ('8', '登录', '192.168.0.101', '用户登录成功', 'power', null, '2020-03-19 11:29', 'yisheng', null);
INSERT INTO `power_log` VALUES ('9', '查看', '192.168.0.101', '用户管理页面', 'power', null, '2020-03-19 11:29', 'yisheng', null);
INSERT INTO `power_log` VALUES ('10', '登录', '192.168.0.101', '用户登录成功', 'power', null, '2020-03-19 11:29', 'yisheng', null);
INSERT INTO `power_log` VALUES ('11', '登录', '192.168.0.101', '用户登录成功', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('12', '查看', '192.168.0.101', '用户管理页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('13', '查看', '192.168.0.101', '用户管理页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('14', '查看', '192.168.0.101', '角色管理页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('15', '查看', '192.168.0.101', '部门管理页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('16', '查看', '192.168.0.101', '用户分配菜单页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('17', '查看', '192.168.0.101', '角色分配菜单页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('18', '查看', '192.168.0.101', '日志管理页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('19', '查看', '192.168.0.101', '部门管理页面', 'power', null, '2020-03-23 22:31', 'admin', null);
INSERT INTO `power_log` VALUES ('20', '登录', '192.168.0.101', '用户登录成功', 'power', null, '2020-03-23 22:32', 'admin', null);

-- ----------------------------
-- Table structure for `power_menu`
-- ----------------------------
DROP TABLE IF EXISTS `power_menu`;
CREATE TABLE `power_menu` (
  `menu_id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `menu_icon` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `menu_url` varchar(1000) CHARACTER SET utf8 DEFAULT NULL,
  `menu_desc` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `method` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `function_type` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '功能类型',
  `method_type` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '方法类别',
  `sys_id` int(11) DEFAULT NULL,
  `sys_flag` varchar(32) CHARACTER SET latin1 DEFAULT NULL,
  `parent_id` int(11) NOT NULL,
  `sort` int(11) DEFAULT NULL,
  `effective` int(11) NOT NULL,
  `create_date` char(16) CHARACTER SET latin1 NOT NULL,
  `creater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `update_date` char(16) CHARACTER SET latin1 DEFAULT NULL,
  `updater` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=406 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_menu
-- ----------------------------
INSERT INTO `power_menu` VALUES ('2', '首页', 'fa fa-dashboard', '/index', '菜单', null, null, null, '0', 'power', '228', '2', '1', '2019-01-01', '001', '2019-05-13', '003', '');
INSERT INTO `power_menu` VALUES ('3', '基本管理', 'fa fa-dashboard', '#', '菜单', null, null, null, '0', 'power', '228', '3', '1', '2019-01-01', '001', '2019-09-03', 'admin', '');
INSERT INTO `power_menu` VALUES ('4', '用户管理', 'fa fa-circle-o', '/user/pageUI', '菜单', null, null, null, '0', 'power', '3', '4', '1', '2019-01-01', '001', '2019-01-01', '001', null);
INSERT INTO `power_menu` VALUES ('6', '角色管理', 'fa fa-circle-o', '/role/pageUI', '菜单', null, null, null, '0', 'power', '3', '2', '1', '2019-01-01', '001', '2019-09-03', 'admin', '');
INSERT INTO `power_menu` VALUES ('7', '科室管理', 'fa fa-circle-o', '/dept/pageUI', '菜单', null, null, null, '2', 'power', '3', '3', '0', '2019-01-01', '001', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('8', '菜单管理', 'fa fa-circle-o', '/menu/pageUI', '菜单', null, null, null, '0', 'power', '3', '4', '1', '2019-01-01', '001', '2019-01-01', '001', null);
INSERT INTO `power_menu` VALUES ('9', '归属管理', 'fa fa-circle-o', '/dict/pageUI', '菜单', null, null, null, '0', 'power', '3', '5', '1', '2019-01-01', '001', '2019-01-01', '001', null);
INSERT INTO `power_menu` VALUES ('10', '授权管理', 'fa fa-dashboard', '#', '菜单', null, null, null, '0', 'power', '228', '4', '1', '2019-01-01', '001', '2019-09-03', 'admin', '');
INSERT INTO `power_menu` VALUES ('11', '用户分配菜单', 'fa fa-circle-o', '/menuPower/userPowerUI', '菜单', null, null, null, '0', 'power', '10', '1', '1', '2019-01-01', '001', '2019-09-03', 'admin', '');
INSERT INTO `power_menu` VALUES ('12', '角色分配菜单', 'fa fa-circle-o', '/menuPower/rolePowerUI', '菜单', null, null, null, '0', 'power', '10', '1', '1', '2019-01-01', '001', '2019-01-01', '001', null);
INSERT INTO `power_menu` VALUES ('13', '其它管理', 'fa fa-dashboard', '#', '菜单', null, null, null, '0', 'power', '228', '5', '1', '2019-01-01', '001', '2019-01-01', '001', null);
INSERT INTO `power_menu` VALUES ('14', '日志管理', 'fa fa-circle-o', '/otherManage/backupDatabase', '菜单', null, null, null, '0', 'power', '13', '1', '1', '2019-01-01', '001', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('17', '查看用户列表', null, '/user/pageUI', '功能', 'pageUI1', null, '基本类', '0', 'power', '4', '1', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('18', '重置密码', null, '/user/resetPassword', '功能', 'resetPassword', null, '基本类', '0', 'power', '4', '1', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('19', '添加用户', null, '/user/add', '功能', 'add', null, '基本类', '0', 'power', '4', '2', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('20', '修改用户', null, '/user/update', '功能', 'update', null, '基本类', '0', 'power', '4', '3', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('21', '删除用户', null, '/user/delete', '功能', 'delete', null, '基本类', '0', 'power', '4', '4', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('22', '导出用户列表', null, '/user/export', '功能', 'export', null, '文档类', '0', 'power', '4', '5', '1', '2019-08-01', '003', '209-08-01', '003', null);
INSERT INTO `power_menu` VALUES ('23', '查看角色列表', null, '/role/pageUI', '功能', 'pageUI', null, '基本类', '0', 'power', '6', '1', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('24', '添加角色', null, '/role/add', '功能', 'add', null, '基本类', '0', 'power', '6', '2', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('25', '修改角色', null, '/role/update', '功能', 'update', null, '基本类', '0', 'power', '6', '3', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('26', '删除角色', null, '/role/delete', '功能', 'delete', null, '基本类', '0', 'power', '6', '4', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('27', '导出角色列表', null, '/role/export', '功能', 'export', null, '文档类', '0', 'power', '6', '5', '1', '2019-08-02', '003', '2019-08-02', '003', null);
INSERT INTO `power_menu` VALUES ('28', '查看科室管理页面', null, '/dept/pageUI', '功能', 'pageUI', null, '基本类', '2', 'power', '7', '1', '1', '2019-08-02', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('29', '添加科室', null, '/dept/add', '功能', 'add', null, '基本类', '2', 'power', '7', '2', '1', '2019-08-02', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('30', '修改科室', null, '/dept/update', '功能', 'update', null, '基本类', '2', 'power', '7', '3', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('31', '删除科室', null, '/dept/delete', '功能', 'delete', null, '基本类', '2', 'power', '7', '4', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('32', '导出科室列表', null, '/dept/export', '功能', 'export', null, '文档类', '2', 'power', '7', '5', '1', '2019-08-02', '003', '2019-08-02', '003', null);
INSERT INTO `power_menu` VALUES ('33', '查看菜单管理', null, '/menu/pageUI', '功能', 'pageUI', null, '基本类', '0', 'power', '8', '1', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('34', '添加菜单', null, '/menu/add', '功能', 'add', null, '基本类', '0', 'power', '8', '5', '1', '2019-08-02', '003', '2019-08-02', '003', null);
INSERT INTO `power_menu` VALUES ('35', '查看归属管理', null, '/dict/pageUI', '功能', 'pageUI', null, '基本类', '0', 'power', '9', '1', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('36', '添加归属', null, '/dict/add', '功能', 'add', null, '基本类', '0', 'power', '9', '2', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('37', '修改归属', null, '/dict/update', '功能', 'update', null, '基本类', '0', 'power', '9', '3', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('38', '删除归属', null, '/dict/delete', '功能', 'delete', null, '基本类', '0', 'power', '9', '4', '1', '2019-08-09', '003', '2019-08-09', '003', null);
INSERT INTO `power_menu` VALUES ('39', '保存用户分配菜单', null, '/menuPower/addUserMenu', '功能', 'addUserMenu', null, '基本类', '0', 'power', '11', '1', '1', '2019-04-29', '001', '2019-04-29', '001', null);
INSERT INTO `power_menu` VALUES ('40', '保存角色分配菜单', null, '/menuPower/addRoleMenu', '功能', 'addRoleMenu', null, '基本类', '0', 'power', '12', '1', '1', '2019-04-29', '001', '2019-04-29', '001', null);
INSERT INTO `power_menu` VALUES ('99', '删除菜单', null, '/menu/delete', '功能', 'delete', null, '基本类', '0', 'power', '8', '1', '1', '2019-04-29', '001', '2019-04-29', '001', null);
INSERT INTO `power_menu` VALUES ('100', '查看用户分配菜单', null, '/menuPower/userPowerUI', '功能', 'userPowerUI', null, '基本类', '0', 'power', '11', '1', '1', '2019-08-14', '001', '2019-08-14', '001', null);
INSERT INTO `power_menu` VALUES ('101', '查看角色分配菜单', null, '/menuPower/rolePowerUI', '功能', 'rolePowerUI', null, '基本类', '0', 'power', '12', '1', '1', '2019-08-14', '001', '2019-08-14', '001', null);
INSERT INTO `power_menu` VALUES ('102', '修改菜单', null, '/menu/update', '功能', 'update', null, '基本类', '0', 'power', '8', '1', '1', '2019-08-14', '001', '2019-08-14', '001', null);
INSERT INTO `power_menu` VALUES ('103', '病案归档管理', 'fa fa-circle-o', '#', '目录', '', null, null, '7', 'emr_medical_record', '0', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('104', '归档列表', 'fa fa-dashboard', '#', '目录', null, null, null, '7', 'emr_medical_record', '103', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('105', '其它管理', 'fa fa-dashboard', '#', '目录', null, null, null, '7', 'emr_medical_record', '103', '2', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('106', '在院浏览', 'fa fa-circle-o', '/inHosp/inHospitals', '菜单', null, null, null, '42', 'emr_medical_record', '104', '6', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('107', '出院浏览', 'fa fa-circle-o', '/beHosp/beHosps', '菜单', null, null, null, '42', 'emr_medical_record', '104', '7', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('108', '未终审病历列表', 'fa fa-circle-o', '/unfile/unfileMedicals', '菜单', null, null, null, '42', 'emr_medical_record', '104', '4', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('109', '缺陷列表', 'fa fa-circle-o', '/fault/faults', '菜单', null, null, null, '42', 'emr_medical_record', '104', '5', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('110', '病案终审退回', 'fa fa-circle-o', '/medicalRecall/recall', '菜单', null, null, null, '42', 'emr_medical_record', '104', '2', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('111', '病案终审退回日志', 'fa fa-circle-o', '/recallDate/recallDates', '菜单', null, null, null, '42', 'emr_medical_record', '104', '3', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('112', '病案室终审', 'fa fa-circle-o', '/lastVerify/lastVerifys', '菜单', null, null, null, '42', 'emr_medical_record', '104', '1', '1', '2019-08-14', 'admin', '2019-11-11', 'admin', '');
INSERT INTO `power_menu` VALUES ('113', '缺陷类别列表', 'fa fa-circle-o', '/faultType/faultTypes', '菜单', null, null, null, '7', 'emr_medical_record', '105', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('114', '字典列表', 'fa fa-circle-o', '/dictionary/dictionarys', '菜单', null, null, null, '7', 'emr_medical_record', '105', '2', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('115', '在院浏览查看', null, '/inHosp/inHospitalList', '功能', 'inHospitalList', 'select', '基本类', '42', 'emr_medical_record', '106', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('116', '在院浏览文件上传', null, '/inHosp/uploadImgS', '功能', 'uploadImgS', 'upload', '文档类', '42', 'emr_medical_record', '106', '2', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('117', '在院浏览查看分段PDF', null, '/inHosp/getPdfToPdf', '功能', 'getPdfToPdf', 'pdf', '文档类', '7', 'emr_medical_record', '106', '3', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('118', '在院浏览编辑', null, '/inHosp/saveInfo', '功能', 'saveInfo', 'edit', '基本类', '42', 'emr_medical_record', '106', '4', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('119', '在院浏览作废', null, '/inHosp/updateState', '功能', 'updateState', 'cancel', '基本类', '42', 'emr_medical_record', '106', '5', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('120', '在院浏览选中作废', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'cancelAll', '基本类', '42', 'emr_medical_record', '106', '6', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('121', '在院浏览导出excel', null, '/inHosp/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '106', '7', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('122', '出院浏览查看', null, '/beHosp/beHospList', '功能', 'beHospList', 'select', '基本类', '42', 'emr_medical_record', '107', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('123', '出院浏览初审', null, '/beHosp/updateStateByArchivId', '功能', 'updateStateByArchivId', 'first', '文档类', '42', 'emr_medical_record', '107', '2', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('124', '出院浏览导出excel', null, '/beHosp/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '107', '3', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('125', '出院浏览文件上传', null, '/inHosp/uploadImgS', '功能', 'uploadImgS', 'upload', '文档类', '42', 'emr_medical_record', '107', '4', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('126', '出院浏览查看分段PDF', null, '/inHosp/getPdfToPdf', '功能', 'getPdfToPdf', 'pdf', '文档类', '7', 'emr_medical_record', '107', '5', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('127', '出院浏览编辑', null, '/inHosp/saveInfo', '功能', 'saveInfo', 'edit', '基本类', '42', 'emr_medical_record', '107', '6', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('128', '出院浏览作废', null, '/inHosp/updateState', '功能', 'updateState', 'cancel', '基本类', '42', 'emr_medical_record', '107', '7', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('129', '出院浏览选中作废', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'cancelAll', '基本类', '42', 'emr_medical_record', '107', '8', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('130', '未终审病历列表查询', null, '/unfile/unfileList', '功能', 'unfileList', 'select', '基本类', '42', 'emr_medical_record', '108', '1', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('131', '未终审病历列表导出', null, '/unfile/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '108', '2', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('132', '未终审病历列表文件上传', null, '/unfile/uploadImgS', '功能', 'uploadImgS', 'upload', '文档类', '42', 'emr_medical_record', '108', '3', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('133', '未归档病历列表查看分段PDF', null, '/inHosp/getPdfToPdf', '功能', 'getPdfToPdf', 'pdf', '文档类', '7', 'emr_medical_record', '108', '4', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('134', '未终审病历列表编辑', null, '/unfile/saveInfo', '功能', 'saveInfo', 'edit', '基本类', '42', 'emr_medical_record', '108', '5', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('135', '未终审病历列表作废', null, '/unfile/updateState', '功能', 'updateState', 'cancel', '基本类', '42', 'emr_medical_record', '108', '6', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('136', '未终审病历列表选中作废', null, '/unfile/updateStateAll', '功能', 'updateStateAll', 'cancelAll', '基本类', '42', 'emr_medical_record', '108', '7', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('137', '缺陷列表导出excel', null, '/fault/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '109', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('138', '病案终审导出excel', null, '/medicalRecall/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '110', '1', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('139', '病案终审与日志', null, '/medicalRecall/updateState', '功能', 'updateState', 'recall', '基本类', '42', 'emr_medical_record', '110', '2', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('140', '病案终审日志导出excel', null, '/recallDate/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '111', '1', '1', '2019-08-14', 'admin', '2019-11-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('141', '病案室终审导出excel', null, '/lastVerify/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('142', '病案室终审查看', null, '/lastVerify/lastVerifyList', '功能', 'lastVerifyList', 'select', '基本类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('143', '病案室终审退出', null, '/lastVerify/updateDetailByArchivId', '功能', 'updateDetailByArchivId', 'back', '基本类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('144', '病案室终审终审', null, '/beHosp/updateStateByArchivId', '功能', 'updateStateByArchivId', 'last', '文档类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('145', '病案终审文件上传', null, '/inHosp/uploadImgS', '功能', 'uploadImgS', 'upload', '文档类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('146', '病案终审查看分段PDF', null, '/inHosp/getPdfToPdf', '功能', 'getPdfToPdf', 'pdf', '文档类', '7', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('147', '病案终审选中作废', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'cancelAll', '基本类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('148', '病案终审编辑', null, '/inHosp/saveInfo', '功能', 'saveInfo', 'edit', '基本类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('149', '病案终审作废', null, '/inHosp/updateState', '功能', 'updateState', 'cancel', '基本类', '42', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('150', '缺陷类别列表添加', null, '/', '功能', 'add', 'add', '基本类', '7', 'emr_medical_record', '113', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('151', '缺陷类别列表删除', null, '/faultType/delById', '功能', 'delById', 'del', '基本类', '7', 'emr_medical_record', '113', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('152', '缺陷类别列表保存', null, '/faultType/updateByClo', '功能', 'updateByClo', 'save', '基本类', '7', 'emr_medical_record', '113', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('153', '字典列表添加类别节点', null, '/', '功能', 'addType', 'addType', '基本类', '7', 'emr_medical_record', '114', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('154', '字典列表添加叶子节点', null, '/', '功能', 'add', 'add', '基本类', '7', 'emr_medical_record', '114', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('155', '字典列表删除节点', null, '/faultType/delById', '功能', 'delById', 'del', '基本类', '7', 'emr_medical_record', '114', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('156', '字典列表保存节点', null, '/faultType/updateByClo', '功能', 'updateByClo', 'save', '基本类', '7', 'emr_medical_record', '114', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('157', '预约复印App', 'fa fa-dashboard', '#', '目录', null, null, null, '10', 'apply_wx', '0', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('158', '个人中心', 'fa fa-dashboard', '#', '目录', null, null, null, '10', 'apply_wx', '157', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('159', '医院服务', 'fa fa-dashboard', '#', '目录', null, null, null, '10', 'apply_wx', '157', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('160', '其它', 'fa fa-dashboard', '#', '目录', null, null, null, '10', 'apply_wx', '157', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('161', '个人信息', 'fa fa-circle-o', 'pages/user/user', '菜单', '', '', null, '10', 'apply_wx', '158', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('162', '修改密码', 'fa fa-circle-o', 'pages/user/updatePwd', '菜单', '', '', null, '10', 'apply_wx', '158', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('163', '退出', 'fa fa-circle-o', 'pages/login/login', '菜单', '', '', null, '10', 'apply_wx', '158', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('164', '复印申请', 'fa fa-circle-o', 'pages/apply/apply', '菜单', '', '', null, '10', 'apply_wx', '159', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('165', '复印申请列表', 'fa fa-circle-o', 'pages/apply/applyList', '菜单', '', '', null, '10', 'apply_wx', '159', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('166', '医院通知列表', 'fa fa-circle-o', 'pages/notic/noticList', '菜单', '', '', null, '10', 'apply_wx', '159', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('167', '复印邮寄列表', 'fa fa-circle-o', 'pages/mail/mailList', '菜单', '', '', null, '10', 'apply_wx', '159', '4', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('168', '在线新闻列表', 'fa fa-circle-o', 'pages/news/newsList', '菜单', '', null, null, '10', 'apply_wx', '160', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('169', '权限通知列表', 'fa fa-circle-o', 'pages/notic/powerNotic', '菜单', '', null, null, '10', 'apply_wx', '160', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('170', '推送短信', 'fa fa-circle-o', 'pages/pull', '菜单', '', null, null, '10', 'apply_wx', '160', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('171', '提交申请', null, '/Apply/selectByApplerId', '功能', 'selectByApplerId', 'applyBtn', null, '10', 'apply_wx', '165', '1', '1', '2019-08-27', 'admin', '2009-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('172', '取消申请', null, '/Apply/updateBycolum', '功能', 'updateBycolum', 'cancelApplyBtn', null, '10', 'apply_wx', '165', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('173', '费用详情', null, '../notic/detail', '功能', 'detail', 'feerBtn', null, '10', 'apply_wx', '165', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('174', '付款', null, '../pay/payDetail', '功能', 'payDetail', 'payBtn', null, '10', 'apply_wx', '166', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('175', '复印通知详情', null, '../notic/detail', '功能', 'detail', 'noticBtn', null, '10', 'apply_wx', '166', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('176', '邮寄信息', null, 'pages/mail/mailDetail', '功能', 'emailDetail', 'emailBtn', null, '10', 'apply_wx', '167', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('177', '费用详情', null, '../notic/detail', '功能', 'detail', 'feerBtn', null, '10', 'apply_wx', '167', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('178', '预约复印PC', 'fa fa-dashboard', '#', '目录', null, null, null, '11', 'emr_apply_copy', '0', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('179', '病案复印权限管理', 'fa fa-dashboard', '#', '目录', null, null, null, '11', 'emr_apply_copy', '178', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('180', '病案复印预约管理', 'fa fa-dashboard', '#', '目录', null, null, null, '11', 'emr_apply_copy', '178', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('181', '病案综合管理', 'fa fa-dashboard', '#', '目录', null, null, null, '11', 'emr_apply_copy', '178', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('182', '其它管理', 'fa fa-dashboard', '#', '目录', null, null, null, '11', 'emr_apply_copy', '178', '4', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('183', '医院列表', 'fa fa-circle-o', '/Hospital/HospitalList', '菜单', null, null, null, '11', 'emr_apply_copy', '179', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('184', '预约用户列表', 'fa fa-circle-o', '/Petitioner/PetitionerList', '菜单', null, null, null, '11', 'emr_apply_copy', '179', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('185', '预约用户菜单', 'fa fa-circle-o', '/Menu/menus', '菜单', null, null, null, '11', 'emr_apply_copy', '179', '3', '1', '2019-08-27', 'adimin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('186', '未申请列表', 'fa fa-circle-o', '/Apply/unapplyList', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('187', '已申请列表', 'fa fa-circle-o', '/Apply/applyList', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('188', '未审批列表', 'fa fa-circle-o', '/Apply/unApprovalList', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('189', '审批中列表', 'fa fa-circle-o', '/Apply/approlvalList', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '4', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('190', '已审批列表', 'fa fa-circle-o', '/Apply/approvedList', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '5', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('191', '病历复印费用列表', 'fa fa-circle-o', '/CopyMany/copyManys', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '6', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('192', '查询邮寄单号进度', 'fa fa-circle-o', '/Progress/ProgressS', '菜单', null, null, null, '11', 'emr_apply_copy', '180', '7', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('193', '字典列表', 'fa fa-circle-o', '/dictionary/dictionarys', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '1', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('194', '快递公司列表', 'fa fa-circle-o', '/Express/expressS', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('195', '纸费列表', 'fa fa-circle-o', '/Paper/PaperList', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '3', '1', '2019-08-27', 'admin ', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('196', '在线新闻列表', 'fa fa-circle-o', '/News/news', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '4', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('197', '轮番图列表', 'fa fa-circle-o', '/Picture/pictures', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '5', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('198', '通知管理', 'fa fa-circle-o', '/Note/notes', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '6', '1', '2019-08-27', 'admin ', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('199', '统计图例', 'fa fa-circle-o', '/CountS/countV', '菜单', null, null, null, '11', 'emr_apply_copy', '181', '7', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('200', '日志管理', 'fa fa-circle-o', '/Log/logs', '菜单', null, null, null, '11', 'emr_apply_copy', '182', '2', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('201', '使用说明', 'fa fa-circle-o', '/Log/contact', '菜单', null, null, null, '11', 'emr_apply_copy', '182', '3', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('202', '联系我们', 'fa fa-circle-o', '/Log/contact', '菜单', null, null, null, '11', 'emr_apply_copy', '182', '4', '1', '2019-08-27', 'admin', '2019-08-27', 'admin', null);
INSERT INTO `power_menu` VALUES ('208', '统计列表', 'fa fa-circle-o', '/vCount/vCounts', '菜单', null, null, null, '7', 'emr_medical_record', '105', '3', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', null);
INSERT INTO `power_menu` VALUES ('209', '统计导出列表', null, '/vCount/exportExcel', '功能', 'exportExcel', 'excel', '文档类', '7', 'emr_medical_record', '208', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', null);
INSERT INTO `power_menu` VALUES ('210', '未归档列表详情', null, '/vCount/exportExcel2', '功能', 'exportExcel2', 'excel2', '文档类型', '7', 'emr_medical_record', '208', '2', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', null);
INSERT INTO `power_menu` VALUES ('211', '档案管理', 'fa fa-dashboard', '#', '菜单', null, '', '', '3', 'emr_record', '229', '1', '1', '2019-09-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('212', '自定义模板', 'fa fa-circle-o', '/template/templateList', '菜单', null, '', '', '3', 'emr_record', '211', '1', '0', '2019-09-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('213', '自定义模板选择', 'fa fa-circle-o', '/template/templateSelectList', '菜单', null, '', '', '3', 'emr_record', '211', '2', '0', '2019-09-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('214', '自定义查询', 'fa fa-circle-o', '/template/customSearchList', '菜单', null, '', '', '3', 'emr_record', '211', '3', '0', '2019-09-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('215', '打印用途管理', 'fa fa-circle-o', '/printing/printManage', '菜单', null, '', '', '3', 'emr_record', '211', '4', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', null);
INSERT INTO `power_menu` VALUES ('216', '常用查询', 'fa fa-circle-o', '/commom/commomList174', '菜单', null, '', '', '3', 'emr_record', '211', '5', '1', '2019-09-02', 'admin', '2020-02-26', 'admin', '');
INSERT INTO `power_menu` VALUES ('217', '调阅权管理', 'fa fa-dashboard', '#', '菜单', null, '', '', '4', 'emr_record', '229', '2', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('218', '用户分配调阅', 'fa fa-circle-o', '/distribution/userDistributionManage', '菜单', null, '', '', '4', 'emr_record', '217', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('219', '角色分配调阅', 'fa fa-circle-o', '/distribution/roleDistributionManage', '菜单', null, '', '', '4', 'emr_record', '217', '2', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('220', '借阅管理', 'fa fa-dashboard', '#', '菜单', null, '', '', '4', 'emr_record', '229', '3', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('221', '个人收藏', 'fa fa-circle-o', '/collect/collectManage174', '菜单', null, '', '', '4', 'emr_record', '220', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('222', '原因及批注模板', 'fa fa-circle-o', '/annotationTemplate/annotationTemplateList', '菜单', null, '', '', '4', 'emr_record', '220', '2', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('223', '申请列表', 'fa fa-circle-o', '/approve/approveList174', '菜单', null, '', '', '3', 'emr_record', '220', '3', '1', '2019-09-02', 'admin', '2020-02-26', 'admin', '');
INSERT INTO `power_menu` VALUES ('224', '借阅审批管理', 'fa fa-circle-o', '/approve/approveManageList174', '菜单', null, '', '', '3', 'emr_record', '220', '4', '1', '2019-09-02', 'admin', '2020-02-26', 'admin', '');
INSERT INTO `power_menu` VALUES ('225', '其他管理', 'fa fa-dashboard', '#', '菜单', null, '', '', '4', 'emr_record', '229', '4', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('226', '字典列表', 'fa fa-circle-o', '/dictionary/dictionaryList', '菜单', null, '', '', '4', 'emr_record', '225', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('227', '日志管理', 'fa fa-circle-o', '/otherManage/backupDatabase', '菜单', null, '', '', '4', 'emr_record', '225', '2', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('228', '权限系统', null, '#', '菜单', null, null, null, '0', 'power', '0', '4', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', null);
INSERT INTO `power_menu` VALUES ('229', '病案管理系统', null, '#', '菜单', null, null, null, '4', 'emr_record', '0', '5', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', null);
INSERT INTO `power_menu` VALUES ('230', '自定义模板查看', '', '/template/templateList', '功能', 'templateList', null, '基本类', '3', 'emr_record', '212', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('231', '自定义模板添加', '', '/template/addTemplate', '功能', 'addTemplate', '', '基本类', '3', 'emr_record', '212', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('232', '自定义模板修改', '', '/template/updateTemplate', '功能', 'updateTemplate', '', '基本类', '3', 'emr_record', '212', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('233', '自定义模板删除', '', '/template/deleteTemplate', '功能', 'deleteTemplate', '', '基本类', '3', 'emr_record', '212', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('234', '自定义模板选择查看', '', '/template/templateSelectList', '功能', 'templateSelectList', '', '基本类', '3', 'emr_record', '213', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('235', '模板类别添加', '', '/template/addTemplateSelect', '功能', 'addTemplateSelect', '', '基本类', '3', 'emr_record', '213', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('236', '模板类别修改', '', '/template/updateTemplateSelect', '功能', 'deleteTemplate', '', '基本类', '3', 'emr_record', '213', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('237', '模板类别删除', '', '/template/deleteTemplateSelect', '功能', 'deleteTemplateSelect', '', '基本类', '3', 'emr_record', '213', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('238', '自定义模板选择保存', '', '/template/addModleRelated', '功能', 'addModleRelated', '', '基本类', '3', 'emr_record', '213', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('239', '自定义查询查看', '', '/template/customSearchList', '功能', 'customSearchList', '', '基本类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('240', '自定义查询导出excel', '', '/template/exportExcel', '功能', 'exportExcel', '', '文档类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('241', '自定义查询下载(批量)', '', '/template/downloadZip', '功能', 'downloadZip', '', '文档类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('242', '自定义查询下载PDF', '', '/template/downloadPdf', '功能', 'downloadPdf', '', '文档类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('243', '自定义查询借阅申请', '', '/template/addApplyApprove', '功能', 'addApplyApprove', '', '业务类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('245', '自定义查询锁定', '', '/template/addLockByPatientId', '功能', 'addLockByPatientId', '', '业务类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('247', '自定义查询解锁', '', '/template/updateLockByPatientId', '功能', 'updateLockByPatientId', '', '业务类', '3', 'emr_record', '214', '1', '1', '2019-09-02', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('249', '打印用途管理查看', '', '/printing/printManage', '功能', 'printManage', '', '基本类', '4', 'emr_record', '215', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('250', '打印用途管理类别添加', '', '/printing/addEmrType', '功能', 'addEmrType', '', '基本类', '4', 'emr_record', '215', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('251', '打印用途管理类别修改', '', '/printing/updateEmrType', '功能', 'updateEmrType', '', '基本类', '4', 'emr_record', '215', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('252', '打印用途管理类别删除', '', '/printing/deleteEmrType', '功能', 'deleteEmrType', '', '基本类', '4', 'emr_record', '215', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('253', '打印用途管理保存', '', '/printing/addTypeRelated', '功能', 'addTypeRelated', '', '基本类', '4', 'emr_record', '215', '1', '1', '2019-09-02', 'admin', '2019-09-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('254', '常用查询查看', null, '/commom/commomList174', '功能', 'commomList1', '', '基本类', '3', 'emr_record', '216', '1', '1', '2019-09-05', 'admin', '2020-02-26', 'admin', '');
INSERT INTO `power_menu` VALUES ('255', '常用查询导出excel', null, '/commom/exportExcel', '功能', 'exportExcel', '', '文档类', '3', 'emr_record', '216', '3', '1', '2019-09-05', 'admin', '2020-03-19', 'admin', '');
INSERT INTO `power_menu` VALUES ('256', '常用查询下载(批量)', null, '/commom/downloadZip', '功能', 'downloadZip', '', '文档类', '3', 'emr_record', '216', '4', '1', '2019-09-05', 'admin', '2020-03-19', 'admin', '');
INSERT INTO `power_menu` VALUES ('257', '常用查询下载PDF', null, '/commom/downloadPdf', '功能', 'downloadPdf', '', '文档类', '3', 'emr_record', '216', '5', '1', '2019-09-05', 'admin', '2020-03-19', 'admin', '');
INSERT INTO `power_menu` VALUES ('258', '常用查询借阅申请', null, '/commom/addApplyApprove', '功能', 'addApplyApprove', '', '基本类', '3', 'emr_record', '216', '2', '1', '2019-09-05', 'admin', '2020-03-19', 'admin', '');
INSERT INTO `power_menu` VALUES ('259', '常用查询锁定', null, '/commom/addLockByPatientId', '功能', 'addLockByPatientId', '', '业务类', '3', 'emr_record', '216', '6', '1', '2019-09-05', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('260', '常用查询解锁', null, '/commom/updateLockByPatientId', '功能', 'updateLockByPatientId', '', '业务类', '3', 'emr_record', '216', '7', '1', '2019-09-05', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('261', '用户分配调阅查看', null, '/distribution/userDistributionManage', '功能', 'userDistributionManage', '', '基本类', '4', 'emr_record', '218', '1', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('262', '用户分配调阅保存', null, '/distribution/saveUserReader', '功能', 'saveUserReader', '', '基本类', '4', 'emr_record', '218', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('263', '调阅分类保存', null, '/distribution/saveDistribution', '功能', 'saveDistribution', '', '基本类', '4', 'emr_record', '218', '3', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('264', '调阅分类删除', null, '/distribution/deleteAssortByAssortId', '功能', 'deleteAssortByAssortId', '', '基本类', '4', 'emr_record', '218', '4', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('265', '角色分配调阅查看', null, '/distribution/roleDistributionManage', '功能', 'roleDistributionManage', '', '基本类', '4', 'emr_record', '219', '1', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('266', '角色分配调阅保存', null, '/distribution/saveRoleReader', '功能', 'saveRoleReader', '', '基本类', '4', 'emr_record', '219', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('267', '个人收藏查看', null, '/collect/collectManage174', '功能', 'collectManage1', '', '基本类', '4', 'emr_record', '221', '1', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('268', '收藏类别添加', null, '/collect/addCollectType', '功能', 'addCollectType', '', '基本类', '4', 'emr_record', '221', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('269', '收藏类别删除', null, '/collect/deleteCollectType', '功能', 'deleteCollectType', '', '基本类', '4', 'emr_record', '221', '4', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('270', '收藏类别修改', null, '/collect/updateCollectType', '功能', 'updateCollectType', '', '基本类', '4', 'emr_record', '221', '3', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('271', '个人收藏添加', null, '/collect/addCollect', '功能', 'addCollect', '', '基本类', '4', 'emr_record', '221', '5', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('272', '个人收藏修改', null, '/collect/updateCollect', '功能', 'updateCollect', '', '基本类', '4', 'emr_record', '221', '6', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('273', '个人收藏删除', null, '/collect/deleteCollect', '功能', 'deleteCollect', '', '基本类', '4', 'emr_record', '221', '7', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('274', '个人收藏导出excel', null, '/collect/exportExcel', '功能', 'exportExcel', '', '文档类', '4', 'emr_record', '221', '8', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('275', '原因及批注模板查看', null, '/annotationTemplate/annotationTemplateList', '功能', 'annotationTemplateList', '', '基本类', '4', 'emr_record', '222', '1', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('276', '原因及批注模板类别添加', null, '/annotationTemplate/addAnoType', '功能', 'addAnoType', '', '基本类', '4', 'emr_record', '222', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('277', '原因及批注模板类别修改', null, '/annotationTemplate/updateAnoType', '功能', 'updateAnoType', '', '基本类', '4', 'emr_record', '222', '3', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('278', '原因及批注模板类别删除', null, '/annotationTemplate/deleteAnoType', '功能', 'deleteAnoType', '', '基本类', '4', 'emr_record', '222', '4', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('279', '原因及批注模板添加', null, '/annotationTemplate/addAnno', '功能', 'addAnno', '', '基本类', '4', 'emr_record', '222', '5', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('280', '原因及批注模板修改', null, '/annotationTemplate/updateAnno', '功能', 'updateAnno', '', '基本类', '4', 'emr_record', '222', '6', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('281', '原因及批注模板删除', null, '/annotationTemplate/deleteAno', '功能', 'deleteAno', '', '基本类', '4', 'emr_record', '222', '7', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('282', '原因及批注模板导出excel', null, '/annotationTemplate/exportExcel', '功能', 'exportExcel', '', '文档类', '4', 'emr_record', '222', '8', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('283', '申请列表查看', null, '/approve/approveList174', '功能', 'approveList1', '', '基本类', '3', 'emr_record', '223', '1', '1', '2019-09-05', 'admin', '2020-02-26', 'admin', '');
INSERT INTO `power_menu` VALUES ('284', '申请借阅添加', null, '/approve/addApplyApprove', '功能', 'addApplyApprove', '', '基本类', '3', 'emr_record', '223', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('285', '申请借阅修改', null, '/approve/updateApplyApprove', '功能', 'updateApplyApprove', '', '基本类', '3', 'emr_record', '223', '3', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('286', '申请借阅删除', null, '/approve/deleteApproveById', '功能', 'deleteApproveById', '', '基本类', '3', 'emr_record', '223', '4', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('287', '申请列表导出excel', null, '/approve/exportExcelApplyList', '功能', 'exportExcelApplyList', '', '文档类', '3', 'emr_record', '223', '5', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('288', '借阅审批管理查看', null, '/approve/approveManageList174', '功能', 'approveManageList1', '', '基本类', '3', 'emr_record', '224', '1', '1', '2019-09-05', 'admin', '2020-02-26', 'admin', '');
INSERT INTO `power_menu` VALUES ('289', '借阅审批管理批注', null, '/approve/updateApprove', '功能', 'updateApprove', '', '基本类', '3', 'emr_record', '224', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('290', '借阅审批管理导出excel', null, '/approve/exportExcelApproveList', '功能', 'exportExcelApproveList', '', '文档类', '3', 'emr_record', '224', '3', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('291', '字典列表查看', null, '/dictionary/dictionaryList', '功能', 'dictionaryList', '', '基本类', '4', 'emr_record', '226', '1', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('292', '字典列表添加', null, '/dictionary/add', '功能', 'add', '', '基本类', '4', 'emr_record', '226', '2', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('293', '字典列表修改', null, '/dictionary/update', '功能', 'update', '', '基本类', '4', 'emr_record', '226', '3', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('294', '字典列表删除', null, '/dictionary/delete', '功能', 'delete', '', '基本类', '4', 'emr_record', '226', '4', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('295', '病案重新归页', null, '/commom/updateScanAssort', '功能', 'updateScanAssort', '', '业务类', '3', 'emr_record', '216', '8', '1', '2019-09-05', 'admin', '2019-09-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('303', '医院列表导出excel', null, '/', '功能', 'exportExcel', 'excel', '文档类', '11', 'emr_apply_copy', '183', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('304', '医院添加', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '183', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('305', '医院编辑', null, '/', '功能', 'edit', 'edit', '基本类', '11', 'emr_apply_copy', '183', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('306', '医院删除', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '183', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('307', '预约用户列表导出excel', null, '/', '功能', 'exportExcel', 'excel', '文档类', '11', 'emr_apply_copy', '184', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('308', '预约用户添加', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '184', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('309', '预约用户编辑', null, '/', '功能', 'edit', 'edit', '基本类', '11', 'emr_apply_copy', '184', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('310', '预约用户删除', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '184', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('311', '预约用户菜单保存', null, '/', '功能', 'save', 'save', '基本类', '11', 'emr_apply_copy', '185', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('312', '未申请导出excel', null, '/', '功能', 'exportExcel', 'excel', '文档类', '11', 'emr_apply_copy', '186', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('313', '未申请查看', null, '/', '功能', 'select', 'select', '基本类', '11', 'emr_apply_copy', '186', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('314', '已申请列表导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '187', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('315', '已申请查看', null, '/', '功能', 'select', 'select', '基本类', '11', 'emr_apply_copy', '187', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('316', '已申请费用查看', null, '/', '功能', 'fee', 'fee', '基本类', '11', 'emr_apply_copy', '187', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('317', '已申请审批', null, '/', '功能', 'approval', 'approval', '其它类', '11', 'emr_apply_copy', '187', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('318', '未审批列表导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '188', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('319', '未审批查看', null, '/', '功能', 'select', 'select', '基本类', '11', 'emr_apply_copy', '188', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('320', '未审批费用查看', null, '/', '功能', 'fee', 'fee', '其它类', '11', 'emr_apply_copy', '188', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('321', '未审批费用退款', null, '/', '功能', 'back', 'back', '基本类', '11', 'emr_apply_copy', '188', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('322', '审批中费用退款', null, '/', '功能', 'back', 'back', '其它类', '11', 'emr_apply_copy', '189', '5', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('323', '审批中列表导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '189', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('324', '审批中列表批量审批', null, '/', '功能', 'batchApproval', 'batchApproval', '其它类', '11', 'emr_apply_copy', '189', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('325', '审批中审批', null, '/', '功能', 'approval', 'approval', '其它类', '11', 'emr_apply_copy', '189', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('326', '审批中费用查看', null, '/', '功能', 'fee', 'fee', '其它类', '11', 'emr_apply_copy', '189', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('327', '已审批列表导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '190', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('328', '已审批查看', null, '/', '功能', 'select', 'select', '基本类', '11', 'emr_apply_copy', '190', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('329', '已审批费用查看', null, '/', '功能', 'fee', 'fee', '其它类', '11', 'emr_apply_copy', '190', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('330', '已审批费用退款', null, '/', '功能', 'back', 'back', '其它类', '11', 'emr_apply_copy', '190', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('331', '病历复印费用列表导出', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '191', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('332', '字典添加类', null, '/', '功能', 'addType', 'addType', '基本类', '11', 'emr_apply_copy', '193', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('333', '字典添加子节点', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '193', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('334', '字典删除节点', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '193', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('335', '字典保存节点', null, '/', '功能', 'save', 'save', '基本类', '11', 'emr_apply_copy', '193', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('336', '快递公司添加类', null, '/', '功能', 'addType', 'addType', '基本类', '11', 'emr_apply_copy', '194', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('337', '快递公司添加子节点', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '194', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('338', '快递公司删除节点', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '194', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('339', '快递公司保存节点', null, '/', '功能', 'save', 'save', '其它类', '11', 'emr_apply_copy', '194', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('340', '纸费列表导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '195', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('341', '纸费添加', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '195', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('342', '纸费编辑', null, '/', '功能', 'edit', 'edit', '基本类', '11', 'emr_apply_copy', '195', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('343', '纸费删除', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '195', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('344', '在线新闻列表导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '196', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('345', '在线新闻添加', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '196', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('346', '在线新闻编辑', null, '/', '功能', 'edit', 'edit', '基本类', '11', 'emr_apply_copy', '196', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('347', '在线新闻删除', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '196', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('348', '轮番图添加子节点', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '197', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('349', '轮番图保存节点', null, '/', '功能', 'save', 'save', '基本类', '11', 'emr_apply_copy', '197', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('350', '轮番图删除节点', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '197', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('351', '通知管理添加类', null, '/', '功能', 'addType', 'addType', '基本类', '11', 'emr_apply_copy', '198', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('352', '通知管理添加子节点', null, '/', '功能', 'add', 'add', '基本类', '11', 'emr_apply_copy', '198', '2', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('353', '通知管理保存节点', null, '/', '功能', 'save', 'save', '基本类', '11', 'emr_apply_copy', '198', '3', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('354', '通知管理删除节点', null, '/', '功能', 'del', 'del', '基本类', '11', 'emr_apply_copy', '198', '4', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('355', '日志管理导出excel', null, '/', '功能', 'excel', 'excel', '文档类', '11', 'emr_apply_copy', '200', '1', '1', '2019-09-19', 'admin', '2019-09-19', 'admin', null);
INSERT INTO `power_menu` VALUES ('356', '日志管理查看', null, '/otherManage/backupDatabase', '功能', 'backupDatabase', '', '基本类', '4', 'emr_record', '227', null, '1', '2019-09-30', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('357', '日志管理删除', null, '/otherManage/deleteLogById', '功能', 'deleteLogById', '', '基本类', '4', 'emr_record', '227', null, '1', '2019-09-30', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('358', '日志管理批量删除', null, '/otherManage/deleteLogByIds', '功能', 'deleteLogByIds', '', '基本类', '4', 'emr_record', '227', null, '1', '2019-09-30', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('359', '日志管理导出', null, '/otherManage/exportExcel', '功能', 'exportExcel', '', '文档类', '4', 'emr_record', '227', null, '1', '2019-09-30', 'admin', '2019-09-30', 'admin', '');
INSERT INTO `power_menu` VALUES ('360', '导入用户列表', null, '/user/importExcel', '功能', 'importExcel', '', '文档类', '0', 'power', '4', '6', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('361', '导入角色列表', null, '/role/importExcel', '功能', 'importExcel', '', '文档类', '0', 'power', '6', '6', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('362', '导入科室列表', null, '/dept/importExcel', '功能', 'importExcel', '', '文档类', '2', 'power', '7', '6', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('363', '日志管理查看', null, '/otherManage/backupDatabase', '功能', 'backupDatabase', '', '基本类', '0', 'power', '14', '1', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('364', '日志管理删除', null, '/otherManage/deleteLogById', '功能', 'deleteLogById', '', '基本类', '0', 'power', '14', '2', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('365', '日志管理批量删除', null, '/otherManage/deleteLogByIds', '功能', 'deleteLogByIds', '', '基本类', '0', 'power', '14', '3', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('366', '日志管理导出', null, '/otherManage/exportExcel', '功能', 'exportExcel', '', '文档类', '0', 'power', '14', '4', '1', '2019-10-14', 'admin', '2019-10-14', 'admin', '');
INSERT INTO `power_menu` VALUES ('373', '在院浏览选中使用', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'useAll', '基本类', '7', 'emr_medical_record', '106', '6', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('374', '出院浏览选中使用', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'useAll', '基本类', '7', 'emr_medical_record', '107', '8', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('375', '未归档病历列表选中使用', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'useAll', '基本类', '7', 'emr_medical_record', '108', '7', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('376', '病案终审选中使用', null, '/inHosp/updateStateAll', '功能', 'updateStateAll', 'useAll', '基本类', '7', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('377', '在院浏览查看PDF', null, '/inHosp/getPdfById', '功能', 'getPdfToPdf', 'pdf2', '文档类', '7', 'emr_medical_record', '106', '3', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('378', '出院浏览查看PDF', null, '/inHosp/getPdfById', '功能', 'getPdfToPdf', 'pdf2', '文档类', '7', 'emr_medical_record', '107', '5', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('379', '未归档病历列表查看PDF', null, '/inHosp/getPdfById', '功能', 'getPdfToPdf', 'pdf2', '文档类', '7', 'emr_medical_record', '108', '4', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('380', '病案终审查看PDF', null, '/inHosp/getPdfById', '功能', 'getPdfToPdf', 'pdf2', '文档类', '7', 'emr_medical_record', '112', '1', '1', '2019-08-14', 'admin', '2019-08-14', 'admin', null);
INSERT INTO `power_menu` VALUES ('381', '节假日设置', 'fa fa-circle-o', '/holidaySet/holidaySetList', '菜单', null, null, null, '42', 'emr_medical_record', '105', '4', '1', '2019-12-23', 'admin', '2019-12-23', 'admin', '');
INSERT INTO `power_menu` VALUES ('382', '查看节假日设置', null, '/holidaySet/holidaySetList', '功能', 'holidaySetList', 'select', '基本类', '42', 'emr_medical_record', '381', '1', '1', '2019-12-23', 'admin', '2019-12-23', 'admin', '');
INSERT INTO `power_menu` VALUES ('383', '修改节假日设置', null, '/holidaySet/updateSet', '功能', 'updateSet', 'update', '基本类', '42', 'emr_medical_record', '381', '2', '1', '2019-12-23', 'admin', '2019-12-23', 'admin', '');
INSERT INTO `power_menu` VALUES ('384', '部门管理', 'fa fa-circle-o', '/dept/bloodUI', '菜单', 'bloodUI', null, null, '2', 'power', '3', '3', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('385', '查看部门管理页面', null, '/dept/bloodUI', '功能', 'bloodUI', '', '基本类', '2', 'power', '384', '1', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('386', '添加部门', null, '/dept/add', '功能', 'add', '', '基本类', '2', 'power', '384', '2', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('387', '修改部门', null, '/dept/update', '功能', 'update', '', '基本类', '2', 'power', '384', null, '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('388', '删除部门', null, '/dept/delete', '功能', 'delete', '', '基本类', '2', 'power', '384', '3', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('389', '导入部门列表', null, '/dept/import', '功能', 'import', '', '文档类', '2', 'power', '384', '5', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('390', '导出部门列表', null, '/dept/export', '功能', 'export', '', '文档类', '2', 'power', '384', '6', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_menu` VALUES ('391', '打印记录列表', 'fa fa-circle-o', '/printInfoList/pageUI174', '菜单', null, null, null, '3', 'emr_record', '225', '4', '1', '2020-03-04', 'admin', '2020-03-04', 'admin', '');
INSERT INTO `power_menu` VALUES ('392', '查看打印记录', null, '/printInfoList/select', '功能', 'select', 'select', '基本类', '3', 'emr_record', '391', '1', '1', '2020-03-04', 'admin', '2020-03-04', 'admin', '');
INSERT INTO `power_menu` VALUES ('393', '导出打印记录', null, '/printInfoList/export', '功能', 'export', 'export', '文档类', '3', 'emr_record', '391', '2', '1', '2020-03-04', 'admin', '2020-03-04', 'admin', '');
INSERT INTO `power_menu` VALUES ('394', '下载记录列表', 'fa fa-circle-o', '/downloadInfoList/pageUI174', '菜单', null, null, null, '3', 'emr_record', '225', '5', '1', '2020-03-04', 'admin', '2020-03-04', 'admin', '');
INSERT INTO `power_menu` VALUES ('395', '查看下载记录', null, '/downloadInfoList/select', '功能', 'select', 'select', '基本类', '3', 'emr_record', '394', '1', '1', '2020-03-04', 'admin', '2020-03-04', 'admin', '');
INSERT INTO `power_menu` VALUES ('396', '导出下载记录', null, '/downloadInfoList/export', '功能', 'export', 'export', '文档类', '3', 'emr_record', '394', '2', '1', '2020-03-04', 'admin', '2020-03-04', 'admin', '');
INSERT INTO `power_menu` VALUES ('397', '参数设置', 'fa fa-circle-o', '/commomSet/commomSetList', '菜单', null, null, null, '3', 'emr_record', '225', '6', '1', '2020-03-05', 'admin', '2020-03-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('398', '查看参数设置', null, '/commomSet/select', '功能', 'select', 'select', '基本类', '3', 'emr_record', '397', '1', '1', '2020-03-05', 'admin', '2020-03-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('399', '保存参数设置', null, '/commomSet/update', '功能', 'update', 'update', '基本类', '3', 'emr_record', '397', '2', '1', '2020-03-05', 'admin', '2020-03-05', 'admin', '');
INSERT INTO `power_menu` VALUES ('400', '病案新增影像图片', null, '/commom/updatePic', '功能', 'updatePic', 'updatePic', '业务类', '3', 'emr_record', '216', '9', '1', '2020-03-09', 'admin', '2020-03-19', 'admin', '');
INSERT INTO `power_menu` VALUES ('401', '病案删除影像图片', null, '/commom/delScanAssort', '功能', 'delScanAssort', 'delScanAssort', '业务类', '3', 'emr_record', '216', '10', '1', '2020-03-09', 'admin', '2020-03-19', 'admin', '');
INSERT INTO `power_menu` VALUES ('402', '水印设置', 'fa fa-circle-o', '/pdfWaterSet/pdfWaterSetList', '菜单', null, null, null, '3', 'emr_record', '225', '7', '1', '2020-03-12', 'admin', '2020-03-12', 'admin', '');
INSERT INTO `power_menu` VALUES ('403', '查看水印设置', null, '/pdfWaterSet/select', '功能', 'select', 'select', '基本类', '3', 'emr_record', '402', '1', '1', '2020-03-12', 'admin', '2020-03-12', 'admin', '');
INSERT INTO `power_menu` VALUES ('404', '修改水印设置', null, '/pdfWaterSet/update', '功能', 'update', 'update', '基本类', '3', 'emr_record', '402', '2', '1', '2020-03-12', 'admin', '2020-03-12', 'admin', '');
INSERT INTO `power_menu` VALUES ('405', '病案打印', null, '/commom/printPdf', '功能', 'printPdf', 'printPdf', '业务类', '3', 'emr_record', '216', '11', '1', '2020-03-12', 'admin', '2020-03-12', 'admin', null);

-- ----------------------------
-- Table structure for `power_notice`
-- ----------------------------
DROP TABLE IF EXISTS `power_notice`;
CREATE TABLE `power_notice` (
  `notice_id` int(11) NOT NULL AUTO_INCREMENT,
  `sys_id` int(11) DEFAULT NULL COMMENT '系统id',
  `notice_type_flag` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '通知类型标志',
  `notice_type_name` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '通知类型名称',
  `notice_title` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '通知标题',
  `notice_content` varchar(300) CHARACTER SET utf8 DEFAULT NULL COMMENT '通知内容',
  `notice_send` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '通知人',
  `notice_date` char(19) CHARACTER SET utf8 DEFAULT NULL COMMENT '通知时间',
  `notice_receive` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '接收人',
  `effective` int(11) NOT NULL DEFAULT '1' COMMENT '有效否',
  `read_flag` int(11) DEFAULT NULL COMMENT '1、已读 0、未读',
  `parent_id` int(11) DEFAULT NULL COMMENT '父节点',
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_notice
-- ----------------------------
INSERT INTO `power_notice` VALUES ('1', null, 'power', '权限系统通知', null, null, null, null, null, '1', null, null, null);
INSERT INTO `power_notice` VALUES ('2', null, 'emr_record', '档案管理系统通知', null, null, null, null, null, '1', null, null, null);

-- ----------------------------
-- Table structure for `power_role`
-- ----------------------------
DROP TABLE IF EXISTS `power_role`;
CREATE TABLE `power_role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `role_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `show_record` smallint(1) DEFAULT NULL,
  `downLoad_record` smallint(1) DEFAULT NULL,
  `show_print` smallint(1) DEFAULT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `effective` int(11) NOT NULL,
  `create_date` char(16) CHARACTER SET latin1 NOT NULL,
  `creater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `update_date` char(16) CHARACTER SET latin1 NOT NULL,
  `updater` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_role
-- ----------------------------
INSERT INTO `power_role` VALUES ('-100', '医院系统管理员', '1', '1', '1', '医院角色', '1', '2019-08-09', 'admin', '2020-03-18', 'admin');
INSERT INTO `power_role` VALUES ('0', '系统管理员', '0', '1', '1', '系统角色', '1', '2019-08-09', 'admin', '2019-08-09', 'admin');
INSERT INTO `power_role` VALUES ('1', '医生', '0', '0', '0', '', '1', '2020-03-18', 'admin', '2020-03-18', 'admin');

-- ----------------------------
-- Table structure for `power_role_menu`
-- ----------------------------
DROP TABLE IF EXISTS `power_role_menu`;
CREATE TABLE `power_role_menu` (
  `role_menu_id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL,
  `menu_id` int(11) NOT NULL,
  `create_date` char(16) CHARACTER SET latin1 NOT NULL,
  `creater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `update_date` char(16) CHARACTER SET latin1 NOT NULL,
  `updater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`role_menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=266 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_role_menu
-- ----------------------------
INSERT INTO `power_role_menu` VALUES ('227', '1', '229', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('228', '1', '211', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('229', '1', '215', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('230', '1', '216', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('231', '1', '220', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('232', '1', '221', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('233', '1', '222', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('234', '1', '223', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('235', '1', '249', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('236', '1', '250', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('237', '1', '251', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('238', '1', '252', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('239', '1', '253', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('240', '1', '254', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('241', '1', '258', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('242', '1', '255', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('243', '1', '256', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('244', '1', '257', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('245', '1', '267', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('246', '1', '268', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('247', '1', '270', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('248', '1', '269', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('249', '1', '271', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('250', '1', '272', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('251', '1', '273', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('252', '1', '274', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('253', '1', '275', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('254', '1', '276', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('255', '1', '277', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('256', '1', '278', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('257', '1', '279', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('258', '1', '280', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('259', '1', '281', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('260', '1', '282', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('261', '1', '283', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('262', '1', '284', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('263', '1', '285', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('264', '1', '286', '2020-03-19', 'admin', '2020-03-19', 'admin', null);
INSERT INTO `power_role_menu` VALUES ('265', '1', '287', '2020-03-19', 'admin', '2020-03-19', 'admin', null);

-- ----------------------------
-- Table structure for `power_sys_dict`
-- ----------------------------
DROP TABLE IF EXISTS `power_sys_dict`;
CREATE TABLE `power_sys_dict` (
  `dict_id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_id` int(11) DEFAULT NULL,
  `hospital_name` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `sys_flag` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `sys_name` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `dict_area` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `hospital_tel` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `sys_type` varchar(32) CHARACTER SET utf8 NOT NULL,
  `sort` int(11) DEFAULT NULL,
  `dict_status` int(11) NOT NULL,
  `dict_edit` int(11) NOT NULL,
  `create_date` char(16) CHARACTER SET latin1 NOT NULL,
  `creater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `update_date` char(16) CHARACTER SET latin1 NOT NULL,
  `updater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`dict_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_sys_dict
-- ----------------------------
INSERT INTO `power_sys_dict` VALUES ('1', null, '中国人民解放军第174医院', null, null, '', '', '0', '医院', null, '1', '1', '2020-03-18', 'admin', '2020-03-18', 'admin', null);
INSERT INTO `power_sys_dict` VALUES ('3', '1', null, 'emr_record', '档案管理系统', null, null, '1', '病案管理系统', '1', '1', '1', '2020-01-02', 'admin', '2020-01-02', 'admin', '');
INSERT INTO `power_sys_dict` VALUES ('4', null, null, 'power', '权限系统', null, null, '1', '权限系统', '1', '1', '1', '2020-01-02', 'admin', '2020-01-02', '2020-01-02', null);

-- ----------------------------
-- Table structure for `power_user`
-- ----------------------------
DROP TABLE IF EXISTS `power_user`;
CREATE TABLE `power_user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `user_pwd` varchar(20) CHARACTER SET utf8 NOT NULL,
  `user_sex` int(11) DEFAULT NULL,
  `user_age` int(11) DEFAULT NULL,
  `user_tel` varchar(11) CHARACTER SET utf8 DEFAULT NULL,
  `user_email` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `user_position` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `role_id` int(11) NOT NULL,
  `dept_id` varchar(2000) CHARACTER SET latin1 NOT NULL,
  `effective` int(11) NOT NULL,
  `create_date` char(16) CHARACTER SET latin1 NOT NULL,
  `creater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `update_date` char(16) CHARACTER SET latin1 DEFAULT NULL,
  `updater` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `login_flag` int(1) DEFAULT '0' COMMENT '登录标志 默认为0为未登录 1登录',
  `name` varchar(32) DEFAULT NULL,
  `dept_code` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  KEY `power_user_userName_index` (`user_name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_user
-- ----------------------------
INSERT INTO `power_user` VALUES ('1', 'admin', 'RUZHQEFC', '1', '12', '13085266547', '35845@qq.com', 'gly', '0', '', '1', '2019-08-27', 'xyadmin', '2019-08-27', 'admin1', '', '0', '管理员', null);
INSERT INTO `power_user` VALUES ('2', 'admin1', 'RUZHQEFC', '1', null, '', '', '', '-100', '1', '1', '2020-03-18', 'admin', '2020-03-18', 'admin', '', '0', '管理员1', null);
INSERT INTO `power_user` VALUES ('3', 'yisheng', 'RUZHQEFC', '1', null, '', '', '', '1', '1', '1', '2020-03-18', 'admin', '2020-03-18', 'admin', '', '0', '医生', null);

-- ----------------------------
-- Table structure for `power_user_menu`
-- ----------------------------
DROP TABLE IF EXISTS `power_user_menu`;
CREATE TABLE `power_user_menu` (
  `user_menu_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `menu_id` int(11) NOT NULL,
  `flag` int(11) NOT NULL,
  `create_date` char(16) CHARACTER SET latin1 NOT NULL,
  `creater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `update_date` char(16) CHARACTER SET latin1 NOT NULL,
  `updater` varchar(32) CHARACTER SET utf8 NOT NULL,
  `remark` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`user_menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of power_user_menu
-- ----------------------------

-- ----------------------------
-- View structure for `power_user_dept`
-- ----------------------------
DROP VIEW IF EXISTS `power_user_dept`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `power_user_dept` AS select `power`.`power_user`.`user_id` AS `user_id`,substring_index(substring_index(`power`.`power_user`.`dept_id`,',',(`b`.`help_topic_id` + 1)),',',-(1)) AS `dept_id` from (`power`.`power_user` join `mysql`.`help_topic` `b` on(((`b`.`help_topic_id` < ((length(`power`.`power_user`.`dept_id`) - length(replace(`power`.`power_user`.`dept_id`,',',''))) + 1)) and (`power`.`power_user`.`dept_id` <> '')))) ;

-- ----------------------------
-- View structure for `power_user_dict`
-- ----------------------------
DROP VIEW IF EXISTS `power_user_dict`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `power_user_dict` AS select `174power`.`power_user`.`user_id` AS `user_id`,`174power`.`power_dept`.`dict_id` AS `dict_id` from ((`174power`.`power_user` join `mysql`.`help_topic` `b` on((`b`.`help_topic_id` < ((length(`174power`.`power_user`.`dept_id`) - length(replace(`174power`.`power_user`.`dept_id`,',',''))) + 1)))) left join `174power`.`power_dept` on((`174power`.`power_dept`.`dept_id` = `174power`.`power_user`.`dept_id`))) group by `174power`.`power_user`.`user_id` ;

-- ----------------------------
-- View structure for `user_dept_menu`
-- ----------------------------
DROP VIEW IF EXISTS `user_dept_menu`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `user_dept_menu` AS select `a`.`sys_id` AS `sys_id`,`a`.`hospital_name` AS `hospital_name`,`a`.`dept_id` AS `dept_id`,`a`.`dept_name` AS `dept_name`,`a`.`dept_code` AS `dept_code`,`a`.`sys_flag` AS `sys_flag`,`a`.`sys_name` AS `sys_name`,`a`.`hospital_id` AS `hospital_id`,`a`.`sys_type` AS `sys_type`,`a`.`sort` AS `sort`,`a`.`user_id` AS `user_id`,`a`.`user_name` AS `user_name`,`a`.`user_tel` AS `user_tel`,`a`.`user_email` AS `user_email`,`a`.`role_id` AS `role_id`,`a`.`role_name` AS `role_name`,`a`.`menu_id` AS `menu_id`,`a`.`menu_name` AS `menu_name`,`a`.`menu_icon` AS `menu_icon`,`a`.`menu_url` AS `menu_url`,`a`.`method` AS `method`,`a`.`method_type` AS `method_type`,`a`.`method_parent` AS `method_parent`,`a`.`method_sort` AS `method_sort` from (select distinct `f`.`sys_id` AS `sys_id`,`power`.`power_sys_dict`.`hospital_name` AS `hospital_name`,`f`.`dept_id` AS `dept_id`,`power`.`power_dept`.`dept_name` AS `dept_name`,`power`.`power_dept`.`dept_code` AS `dept_code`,`f`.`sys_flag` AS `sys_flag`,`power_sys_dict1`.`sys_name` AS `sys_name`,`f`.`hospital_id` AS `hospital_id`,`power_sys_dict1`.`sys_type` AS `sys_type`,`power_sys_dict1`.`sort` AS `sort`,`f`.`user_id` AS `user_id`,`power`.`power_user`.`user_name` AS `user_name`,`power`.`power_user`.`user_tel` AS `user_tel`,`power`.`power_user`.`user_email` AS `user_email`,`power`.`power_user`.`role_id` AS `role_id`,`power`.`power_role`.`role_name` AS `role_name`,`f`.`menu_id` AS `menu_id`,`power`.`power_menu`.`menu_name` AS `menu_name`,`power`.`power_menu`.`menu_icon` AS `menu_icon`,`power`.`power_menu`.`menu_url` AS `menu_url`,`power`.`power_menu`.`method` AS `method`,`power`.`power_menu`.`function_type` AS `method_type`,`power`.`power_menu`.`parent_id` AS `method_parent`,`power`.`power_menu`.`sort` AS `method_sort` from ((((((((select `c`.`hospital_id` AS `hospital_id`,`c`.`dept_id` AS `dept_id`,`c`.`sys_id` AS `sys_id`,`c`.`sys_flag` AS `sys_flag`,`c`.`user_id` AS `user_id`,`c`.`role_id` AS `role_id`,`d`.`menu_id` AS `menu_id` from (((select `a`.`hospital_id` AS `hospital_id`,`a`.`dept_id` AS `dept_id`,`a`.`sys_id` AS `sys_id`,`a`.`sys_flag` AS `sys_flag`,`power`.`power_user`.`user_id` AS `user_id`,`power`.`power_user`.`role_id` AS `role_id` from (((select `power`.`power_sys_dict`.`dict_id` AS `hospital_id`,`power`.`power_dept`.`dept_id` AS `dept_id`,`power_sys_dict1`.`dict_id` AS `sys_id`,`power_sys_dict1`.`sys_flag` AS `sys_flag` from ((`power`.`power_sys_dict` left join `power`.`power_dept` on(((`power`.`power_dept`.`dict_id` = `power`.`power_sys_dict`.`dict_id`) and (`power`.`power_dept`.`effective` = 1)))) left join `power`.`power_sys_dict` `power_sys_dict1` on(((`power`.`power_dept`.`dept_id` = `power_sys_dict1`.`dept_id`) and (`power_sys_dict1`.`dept_id` is not null) and (`power_sys_dict1`.`dict_status` = 1)))) where ((`power`.`power_sys_dict`.`hospital_name` is not null) and (`power`.`power_sys_dict`.`dict_status` = 1))) union all select `power`.`power_sys_dict`.`parent_id` AS `hospital_id`,`power`.`power_sys_dict`.`dept_id` AS `dept_id`,`power`.`power_sys_dict`.`dict_id` AS `sys_id`,`power`.`power_sys_dict`.`sys_flag` AS `sys_flag` from (`power`.`power_sys_dict` left join `power`.`power_sys_dict` `power_sys_dict1` on((`power`.`power_sys_dict`.`parent_id` = `power_sys_dict1`.`dict_id`))) where ((`power`.`power_sys_dict`.`dict_status` = 1) and (`power`.`power_sys_dict`.`sys_flag` is not null) and (`power`.`power_sys_dict`.`sys_type` <> '权限系统') and (not(`power`.`power_sys_dict`.`dict_id` in (select `power_sys_dict1`.`dict_id` from ((`power`.`power_sys_dict` left join `power`.`power_dept` on(((`power`.`power_dept`.`dict_id` = `power`.`power_sys_dict`.`dict_id`) and (`power`.`power_dept`.`effective` = 1)))) left join `power`.`power_sys_dict` `power_sys_dict1` on(((`power`.`power_dept`.`dept_id` = `power_sys_dict1`.`dept_id`) and (`power_sys_dict1`.`dept_id` is not null)))) where ((`power`.`power_sys_dict`.`hospital_name` is not null) and (`power`.`power_sys_dict`.`dict_status` = 1) and (`power_sys_dict1`.`dict_id` is not null))))))) `a` left join `power`.`power_user` on((find_in_set(`a`.`dept_id`,`power`.`power_user`.`dept_id`) and (`power`.`power_user`.`effective` = 1) and (`power`.`power_user`.`role_id` <> -(100)) and (`power`.`power_user`.`role_id` <> 0))))) union all select `power`.`power_sys_dict`.`parent_id` AS `hospital_id`,NULL AS `dept_id`,`power`.`power_sys_dict`.`dict_id` AS `sys_id`,`power`.`power_sys_dict`.`sys_flag` AS `sys_flag`,`power_user_dict`.`user_id` AS `user_id`,`power`.`power_user`.`role_id` AS `role_id` from ((`power`.`power_sys_dict` left join `power`.`power_user_dict` on((`power`.`power_sys_dict`.`parent_id` = `power_user_dict`.`dict_id`))) join `power`.`power_user` on(((`power`.`power_user`.`user_id` = `power_user_dict`.`user_id`) and (`power`.`power_user`.`role_id` <> -(100))))) where (`power`.`power_sys_dict`.`sys_type` = '权限系统')) `c` left join (select `b`.`user_id` AS `user_id`,`b`.`menu_id` AS `menu_id`,`power`.`power_menu`.`sys_flag` AS `sys_flag` from (((select `power`.`power_user`.`user_id` AS `user_id`,`power`.`power_role_menu`.`menu_id` AS `menu_id` from ((`power`.`power_user` join `power`.`power_role_menu` on((`power`.`power_user`.`role_id` = `power`.`power_role_menu`.`role_id`))) left join `power`.`power_user_menu` on(((`power`.`power_user`.`user_id` = `power`.`power_user_menu`.`user_id`) and (`power`.`power_role_menu`.`menu_id` = `power`.`power_user_menu`.`menu_id`)))) where isnull(`power`.`power_user_menu`.`flag`)) union all select `power`.`power_user_menu`.`user_id` AS `user_id`,`power`.`power_user_menu`.`menu_id` AS `menu_id` from `power`.`power_user_menu` where (`power`.`power_user_menu`.`flag` = 1)) `b` left join `power`.`power_menu` on((`b`.`menu_id` = `power`.`power_menu`.`menu_id`)))) `d` on(((`c`.`user_id` = `d`.`user_id`) and (`c`.`sys_flag` = convert(`d`.`sys_flag` using utf8)))))) union all select `e`.`hospital_id` AS `hospital_id`,`e`.`dept_id` AS `dept_id`,`e`.`dict_id` AS `sys_id`,`e`.`sys_flag` AS `sys_flag`,`e`.`user_id` AS `user_id`,`e`.`role_id` AS `role_id`,`power`.`power_menu`.`menu_id` AS `menu_id` from (((select `power`.`power_user`.`user_id` AS `user_id`,`power`.`power_user`.`role_id` AS `role_id`,`power_user_dict`.`dict_id` AS `hospital_id`,`power`.`power_sys_dict`.`dict_id` AS `dict_id`,`power`.`power_sys_dict`.`sys_flag` AS `sys_flag`,`power`.`power_dept`.`dept_id` AS `dept_id` from (((`power`.`power_user` join `power`.`power_user_dict` on((`power`.`power_user`.`user_id` = `power_user_dict`.`user_id`))) left join `power`.`power_sys_dict` on((`power`.`power_sys_dict`.`parent_id` = `power_user_dict`.`dict_id`))) left join `power`.`power_dept` on(find_in_set(`power`.`power_dept`.`dept_id`,`power`.`power_user`.`dept_id`))) where ((`power`.`power_user`.`role_id` = -(100)) and (`power`.`power_user`.`effective` = 1)))) `e` join `power`.`power_menu`) where (`e`.`sys_flag` = convert(`power`.`power_menu`.`sys_flag` using utf8)) group by `e`.`user_id`,`power`.`power_menu`.`menu_id` union all select NULL AS `hospital_id`,NULL AS `dept_id`,NULL AS `sys_id`,`power`.`power_menu`.`sys_flag` AS `sys_flag`,`power`.`power_user`.`user_id` AS `user_id`,`power`.`power_user`.`role_id` AS `role_id`,`power`.`power_menu`.`menu_id` AS `menu_id` from (`power`.`power_user` join `power`.`power_menu`) where (`power`.`power_user`.`role_id` = 0)) `f` left join `power`.`power_sys_dict` on((`power`.`power_sys_dict`.`dict_id` = `f`.`hospital_id`))) left join `power`.`power_dept` on((`power`.`power_dept`.`dept_id` = `f`.`dept_id`))) left join `power`.`power_sys_dict` `power_sys_dict1` on((`power_sys_dict1`.`dict_id` = `f`.`sys_id`))) left join `power`.`power_user` on((`power`.`power_user`.`user_id` = `f`.`user_id`))) left join `power`.`power_role` on((`power`.`power_user`.`role_id` = `power`.`power_role`.`role_id`))) left join `power`.`power_menu` on((`power`.`power_menu`.`menu_id` = `f`.`menu_id`)))) `a` order by `a`.`hospital_id`,`a`.`dept_id`,`a`.`sys_id`,`a`.`user_id`,`a`.`method_sort` ;
